﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNet.Mvc;
using Microsoft.Data.Entity;
using WebApplication2.Data;

namespace WebApplication2.Controllers
{
    [Route("api/[controller]")]
    public class PersonsController
    {
        private readonly PersonContext _personContext;

        public PersonsController(PersonContext personContext)
        {
            _personContext = personContext;
        }

        public async Task<IEnumerable<Person>> Get()
        {
            return await _personContext.People.OrderBy(p => p.FirstName)
                .ToListAsync()
                .ConfigureAwait(false);
        } 
    }
}
